clear all
close all
clc
%% ECCENTRICO 750 rpm
open('chamber 750 rpm.fig');
a = get(gca,'Children');
x1 = get(a, 'XData');
y1 = get(a, 'YData');
close();
%
open('piattoA_750.fig');
a = get(gca,'Children');
x2 = get(a, 'XData');
y2 = get(a, 'YData');
close();
% 
open('piattoA_750_bis.fig');
a = get(gca,'Children');
x3 = get(a, 'XData');
y3 = get(a, 'YData');
close();
%
figure(1000)
% 
% Plot dei dati estratti dai due files ".fig" in un unico grafico 
% 
for ii =  1:size(x2, 1)
    plot(x2{ii,:},y2{ii,:}*1e-5, ':k', 'linewidth', 2)
    hold on
end
for jj =  1:size(x3, 1)
    plot(x3{jj,:},y3{jj,:}*1e-5, ':b', 'linewidth', 2)
    hold on
end
plot(x1 - 93, y1,'-r')
grid on
xlim([0, 360])

%% 1250 rpm
open('chamber 1250 rpm.fig');
a = get(gca,'Children');
x1 = get(a, 'XData');
y1 = get(a, 'YData');
close();
%
open('piattoA_1250.fig');
a = get(gca,'Children');
x2 = get(a, 'XData');
y2 = get(a, 'YData');
close();
% 
open('piattoA_1250_bis.fig');
a = get(gca,'Children');
x3 = get(a, 'XData');
y3 = get(a, 'YData');
close();
%
figure(2000)
% 
% Plot dei dati estratti dai due files ".fig" in un unico grafico 
% 
for ii =  1:size(x2, 1)
    plot(x2{ii,:},y2{ii,:}*1e-5, ':k', 'linewidth', 2)
    hold on
end
for jj =  1:size(x3, 1)
    plot(x3{jj,:},y3{jj,:}*1e-5, ':b', 'linewidth', 2)
    hold on
end
plot(x1 - 93, y1,'-r')
grid on
xlim([0, 360])

%% 1500 rpm
open('chamber 1500 rpm.fig');
a = get(gca,'Children');
x1 = get(a, 'XData');
y1 = get(a, 'YData');
close();
%
open('piattoA_1500.fig');
a = get(gca,'Children');
x2 = get(a, 'XData');
y2 = get(a, 'YData');
close();
% 
open('piattoA_1500_bis.fig');
a = get(gca,'Children');
x3 = get(a, 'XData');
y3 = get(a, 'YData');
close();
%
figure(2000)
% 
% Plot dei dati estratti dai due files ".fig" in un unico grafico 
% 
for ii =  1:size(x2, 1)
    plot(x2{ii,:},y2{ii,:}*1e-5, ':k', 'linewidth', 2)
    hold on
end
for jj =  1:size(x3, 1)
    plot(x3{jj,:},y3{jj,:}*1e-5, ':b', 'linewidth', 2)
    hold on
end
plot(x1 - 93, y1,'-r')
grid on
xlim([0, 360])

%% 1750 rpm
open('chamber 1750 rpm.fig');
a = get(gca,'Children');
x1 = get(a, 'XData');
y1 = get(a, 'YData');
close();
%
open('piattoA_1750.fig');
a = get(gca,'Children');
x2 = get(a, 'XData');
y2 = get(a, 'YData');
close();
% 
open('piattoA_1750_bis.fig');
a = get(gca,'Children');
x3 = get(a, 'XData');
y3 = get(a, 'YData');
close()
%
figure(2000)
% 
% Plot dei dati estratti dai due files ".fig" in un unico grafico 
% 
for ii =  1:size(x2, 1)
    plot(x2{ii,:},y2{ii,:}*1e-5, ':k', 'linewidth', 2)
    hold on
end
for jj =  1:size(x3, 1)
    plot(x3{jj,:},y3{jj,:}*1e-5, ':b', 'linewidth', 2)
    hold on
end
plot(x1 - 93, y1,'-r')
grid on
xlim([0, 360])